<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="scicos_diagram">
  <refnamediv>
    <refname>scicos_diagram</refname>
    <refpurpose>Define a scs_m structure</refpurpose>
  </refnamediv>
  <refsection id="Module_scicos_diagram">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="scicos_manual">Scicos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="diagram_scicos_diagram">
    <title>diagram</title>
    <para>
Size : 4.
</para>
    <para>
Type : scilab list.
</para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">props</emphasis>
        </para>
        <para> Diagram properties.</para>
        <para> This entry contains various informations such some main diagram initials values.</para>
        <para> 
This variable is a tlist of type 
and
          contains wpar, title, tol, tf, context,
          options and doc.
</para>
        <para>
</para>
        <para> 
Size : 11.
</para>
        <para>
Type : Scilab tlist of type .
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">objs</emphasis>
        </para>
        <para> List of objects included in the Scicos diagram.</para>
        <para> The objects used in scicos are<link linkend="scicos_block">block</link> ,<link linkend="scicos_link">link</link> and Text.</para>
        <para> The objects can also be deleted object data structure.</para>
        <para> Deleted object data structure is marked list('Deleted').</para>
        <para> 
Size : total number of objects in the diagram.
</para>
        <para>
Type : Scilab tlist of type , 
or Text.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">version</emphasis>
        </para>
        <para> A string that gives the version of the Scicos diagram.</para>
        <para> This is used to provide compatibility with old diagram.</para>
        <para> Note that you can get the current version of Scicos by using the entry 'About scicos' in the help menu or by using the function get_scicos_version().</para>
        <para> 
Size : 1.
</para>
        <para>
Type : String.
</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Filecontent_scicos_diagram">
    <title>File content</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos/macros/scicos_scicos/scicos_diagram.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
